Amazon API
type パラメータを持つ1つのエンドポイントで、検索、商品詳細、ベストセラー、セール、カテゴリ、セラープロファイル、セラー商品、セラーフィードバックなど、Amazonのあらゆる機能をカバーします。19のマーケットプレイス(amazon.com、amazon.co.uk、amazon.deなど)に対応しています。
Endpoint
Section titled “Endpoint” GET https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=<type>
Authentication
Section titled “Authentication”APIキーは api_key クエリパラメータとして渡します。キーはパネルのSERP APIにあります(AmazonはSERP APIプランのクォータを共有します)。
type | Returns |
|---|---|
search | 商品検索結果 |
product | 商品詳細ページ |
bestsellers | カテゴリのベストセラー |
todays-deals | 現在のAmazonセール |
category | カテゴリ一覧 |
seller_profile | セラー情報と評価 |
seller_products | セラーの商品カタログ |
seller_feedback | セラーへのレビュー |
各typeには、それぞれ固有のパラメータとレスポンスサンプルを記載した専用ページがあります。以下のカードを参照してください。
Quick example
Section titled “Quick example”curl "https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=search&q=memory+card"Endpoint pages
Section titled “Endpoint pages” Amazon Search type=search
Amazon Product type=product
Amazon Bestsellers type=bestsellers
Amazon Deals type=todays-deals
Amazon Category type=category
Seller Profile type=seller_profile
Seller Products type=seller_products
Seller Feedback type=seller_feedback